# History file '98-mod.h' to convert model '98' into VRML
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Input files required
 #chk.pl: "crt/98/" "98-mod.dat"
 #chk.pl: "crt/98/" "98-cam1.dat"
 #chk.pl: "crt/98/" "98-cam2.dat"
 #chk.pl: "crt/98/" "98-dli1.dat"
 #chk.pl: "crt/98/" "98-dli2.dat"
 #chk.pl: "forms/"  "hsv.dat"

# Input data
  MODEL='98-mod.dat'

# Temporary files (several times overwritten)
  VRTX='vrtx.tmp'  TRGL='trgl.tmp'  PLGN='plgn.tmp'

# Setting of cameras (viewpoints) and lights
  UP1=0  UP2=0  UP3=-1
  CAMERA='98-cam1.dat'
  DLIGHT='98-dli1.dat'  AMBIENT=0.00
  R=0.00  G=0.00  B=0.00  # Black background

# General colour properties
  COLORS='hsv.dat'
  TRANSP=0.00  SPECULAR=0.00  SHININESS=0.10

# Structural interfaces in the model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Name and format of output file
  WRL='98-srf.wrl'  VRML='VRML2'
  iniwrl: '98-mod.h' /

# Colours correspond to surface indices
  COLUMN07='ISRF'
  KOLPOS=07  KOLNEG=07  VPER=6  VREF=1  CREF=0.

# Triangulating and plotting interfaces
  N1=26  N2=26  N3=21  D1=0.2  D2=0.2  D3=0.2  O1=0.   O2=0.   O3=0.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /

# Adding model box wireframe
  LIN='98-bnd.out'
  KOLLIN=0  R=1.00  G=1.00  B=1.00
  bndlin: '98-mod.h' /
  linwrl: '98-mod.h' /

# Solid P-wave velocity model
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Setting of cameras and lights
  CAMERA='98-cam2.dat'  DLIGHT='98-dli2.dat'

# Name of output file
  WRL='98-vp.wrl'
  iniwrl: '98-mod.h' /
#
# Colours correspond to P-wave velocities
  COLUMN07='+VP'  COLUMN08='-VP'
  KOLPOS=07  KOLNEG=07  VPER=-6  VREF=1.5  CREF=0.666667

# Triangulating individual velocity sections
# Section perpendicular to X3, minimum X3 coordinate, part1
  N1=2   N2=2   N3=1   D1=3.   D2=5.   D3=0.2  O1=0.   O2=0.   O3=0.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X3, minimum X3 coordinate, part2
                       D1=2.   D2=2.5          O1=3.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate, part1
  N1=2   N2=2   N3=1   D1=3.   D2=5.           O1=0.   O2=0.   O3=4.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X3, maximum X3 coordinate, part2
                       D1=2.   D2=2.5          O1=3.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X1, minimum X1 coordinate
  N1=1   N2=2   N3=2           D2=5.   D3=-4.  O1=0.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X1, maximum X1 coordinate
         N2=2                  D2=2.5          O1=5.   O2=0.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X1, inside model box
         N2=11  N3=21          D2=0.25 D3=-0.2 O1=3.   O2=2.5
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X2, minimum X2 coordinate
  N1=26  N2=1   N3=2   D1=0.2          D3=-4.  O1=0.   O2=0.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X2, maximum X2 coordinate
  N1=11                D1=0.3                  O1=0.   O2=5.
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /
# Section perpendicular to X2, inside model box
  N1=11         N3=21  D1=0.2          D3=-0.2 O1=3.   O2=2.5
  modsrf: '98-mod.h' /
  trgl:   '98-mod.h' /
  srfwrl: '98-mod.h' /

