# Sample input data for the complete ray tracing program 'crt.for'

  MODEL='model.dat'    # Model
  SRC='len-src.dat'    # File with the coordinates of the initial point
  REC=' '              # No receivers in this example
  DCRT='crt.dat'       # Numerical parameters for complete ray tracing
  CODE='code2.dat'     # Ray codes
  INIPAR=2             # Geographic-like spherical ray parameters
  RPAR='rpar.dat'      # Ray-parameter domain and control
  WRIT='writsrf.dat'   # Names and extent of output files
  CRTLOG='crtlog.out'  # Output log file

  crt: crt.h /         # Running program crt.for with these data

# ----------------------------------------------------------------------
#
# The sample 3-D model consists of two layers and of the lenticular
# inclusion with edges, situated in the upper layer, see the schematic
# Figure 5 in V.Cerveny, L.Klimes, I.Psencik: Complete Seismic-Ray
# Tracing in 3-D Structures (In: D.Doornbos, ed.: Seismological
# Algorithms, Academic Press 1988).
#
# Files 'model.dat', 'len-src.dat', 'crt.dat', 'code2.dat', 'rpar.dat'
# and 'writsrf.dat'
# contain the sample input data for the complete ray tracing program.
# These demo data correspond to a very simple initial-value ray tracing
# of rays shot in a single vertical plane from the point source.
# For the two-point ray tracing in this model refer to data located in
# subdirectory 'len'.
#
# 'crtlog.out' is the output log file containing very brief notes on the
# program running.
#
# Remarks within the formatted input data files:
#     The comments in brackets situated at the ends of lines, after the
#             input items, are not the part of the input data.  They are
#             just remarks placed so as to be skipped when reading the
#             input data.
#     The last input line of a data file is usually followed by
#             (a) Empty line, line '====' and empty line, or by
#             (b) Empty line, line '----', empty line, text describing
#                 the input data, empty line, line '====' and empty
#                 line.
